<template>
  <div class="container-tabs-all">
    <div class="tabs-container">
      <tabs
        ref="tabsDOM"
        :tabs="tabs"
        :current-tab="currentTab"
        wrapper-class="default-tabs"
        tab-class="default-tabs__item"
        tab-active-class="default-tabs__item_active"
        line-class="default-tabs__active-line"
        @onClick="handleClick"
      />
    </div>
    <div class="content">
      <div
        v-for="(item, i) in sections"
        :key="`tabs-${i}`"
      >
        <div
          v-if="currentTab === `tab${i}`"
        >
          <span v-html="item.content" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Tabs from 'vue-tabs-with-active-line';

export default {
  name: 'VTabs',
  components: {
    Tabs,
  },
  // props: {
  //   sections: {
  //     type: Array,
  //     required: true,
  //   },
  // },
  data() {
    return {
      tabs: [],
      currentTab: 'tab0',
      sections: [],
    };
  },
  async created() {
    const fetchSections = await this.$http.get('/sections');
    this.sections = fetchSections.data;

    await this.sections.forEach((service, i) => {
      this.tabs.push({
        title: service.text,
        value: `tab${i}`,
      });
    });

    const button = document.querySelector('.default-tabs__item_active');
    const widthButton = button.offsetWidth;

    const line = document.querySelector('.default-tabs__active-line');
    line.style.width = `${widthButton}px`;
  },
  methods: {
    handleClick(newTab) {
      this.currentTab = newTab;
    },
  },
};
</script>

<style lang="stylus">
.default-tabs
  position relative
  margin 0 auto

  @media screen and (max-width: 600px)
    width 90vw
    overflow-x scroll
    white-space nowrap

.default-tabs__item
  display inline-block
  padding 1rem
  padding-bottom 0.8rem
  font-size 1.8rem
  font-family Signika
  font-weight normal
  color var(--color-white)
  text-decoration none
  text-transform none
  border none
  background transparent
  border-radius 0 0 0.8rem 0.8rem
  border-bottom 0.2rem solid transparent
  cursor pointer
  transition all 0.25s
  outline none


.default-tabs_active
  color var(--color-white)


.default-tabs:hover
  color var(--color-white)


.default-tabs:focus
  outline none
  color var(--color-white)


.default-tabs__active-line
  position absolute
  bottom 0
  left 0
  height 0.2rem
  width 0.2rem
  background-color var(--color-white)
  transition transform 0.4s ease, width 0.4s ease


.content
  margin-top 3rem
  font-size 1.8rem
  max-width var(--width-page)
  width 100%
  text-align left

  div
    margin-left 0.8rem
    margin-right 0.8rem

.container-tabs-all
  display flex
  flex-direction column
  align-items center


.tabs-container
  background-color var(--color-primary)
  height 5rem
  max-width var(--width-page)
  width fit-content
  border-radius 0 0 0.8rem 0.8rem
  padding-left 0.8rem
  padding-right 0.8rem

.image img
  max-width 100%
</style>
